%bcond_with tests

Summary:        A simple, yet elegant, HTTP library
Name:           python-requests
Version:        2.32.3
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://pypi.io/project/requests
Source0:        https://github.com/requests/requests/archive/v%{version}/requests-%{version}.tar.gz

BuildRequires:  python%{python3_pkgversion}-devel pyproject-rpm-macros
%if %{with tests}
BuildRequires:  python3dist(pytest) python3dist(pytest-httpbin)
BuildRequires:  python3dist(pytest-mock) python3dist(trustme)
%endif
BuildArch:      noarch

%description
Requests allows you to send HTTP/1.1 requests extremely easily. There’s no need 
to manually add query strings to your URLs, or to form-encode your `PUT` & `POST` 
data — but nowadays, just use the `json` method!

%package -n python%{python3_pkgversion}-requests
Summary:		A simple, yet elegant, HTTP library

%description -n python%{python3_pkgversion}-requests
Requests allows you to send HTTP/1.1 requests extremely easily. There’s no need 
to manually add query strings to your URLs, or to form-encode your `PUT` & `POST` 
data — but nowadays, just use the `json` method!

%package -n python%{python3_pkgversion}-requests+socks
Summary: Subpackage for python%{python3_pkgversion}-requests with extra socks dependencies
Requires: python%{python3_pkgversion}-requests

%description -n python%{python3_pkgversion}-requests+socks
This is the subpackage for python%{python3_pkgversion}-requests with extra socks dependencies.

%files -n python%{python3_pkgversion}-requests+socks -f %{_pyproject_ghost_distinfo}

%generate_buildrequires
%if %{with tests}
%pyproject_buildrequires -r
%else
%pyproject_buildrequires
%endif

%prep
%autosetup -n requests-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests

%if %{with tests}
%check
%pytest -v
%endif

%files -n python%{python3_pkgversion}-requests -f %{pyproject_files}
%license LICENSE
%doc README.md HISTORY.md

%changelog
* Fri Aug 9 2024 Ze Zhang <bbrucezhang@tencent.com> - 2.32.3-2
- [Type] other
- [DESC] add subpkg socks

* Tue Jul 16 2024 Pengda Dou <doupengda@loongson> - 2.32.3-1
- [Type] other
- [DESC] Update to 2.32.3

* Fri May 24 2024 Ze Zhang <bbrucezhang@tencent.com> - 2.28.2-2
- [Type] bugfix
- [DESC] Fixed CVE-2024-35195

* Thu Sep 21 2023 Shuo Wang <abushwang@tencent.com> - 2.28.2-1
- Update to 2.28.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 15 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.28.1-1
- Initial build
